libiio: Top-level functions

libiio 1.0 Library for interfacing with IIO devices

Loading...
Searching...
No Matches
Functions
Top-level functions

## Functions
__api void | iio_strerror (int err, char *dst, size_t len)
| Get a string description of an error code.
__api __check_ret bool | iio_has_backend (const struct iio_context_params *params, const char *backend)
| Check if the specified backend is available.
__api __check_ret __cnst unsigned int | iio_get_builtin_backends_count (void)
| Get the number of available built-in backends.
__api __check_ret __cnst const char * | iio_get_builtin_backend (unsigned int index)
| Retrieve the name of a given built-in backend.

## Detailed Description

## Function Documentation

## ◆ iio_get_builtin_backend()

__api __check_ret __cnst const char * iio_get_builtin_backend | ( | unsigned int | index | ) |

Retrieve the name of a given built-in backend.

Parameters

  index | The index corresponding to the backend

Returns
  On success, a pointer to a static NULL-terminated string
  If the index is invalid, NULL is returned

Here is the caller graph for this function:

## ◆ iio_get_builtin_backends_count()

__api __check_ret __cnst unsigned int iio_get_builtin_backends_count | ( | void |  | ) |

Get the number of available built-in backends.

Returns
  The number of available built-in backends

Here is the caller graph for this function:

## ◆ iio_has_backend()

__api __check_ret bool iio_has_backend | ( | const struct iio_context_params * | params,
|  | const char * | backend
| ) |  |

Check if the specified backend is available.

Parameters

  params | A pointer to a iio_context_params structure that contains context creation information; can be NULL
  backend | The name of the backend to query

Returns
  True if the backend is available, false otherwise

Here is the call graph for this function:

## ◆ iio_strerror()

__api void iio_strerror | ( | int | err,
|  | char * | dst,
|  | size_t | len
| ) |  |

Get a string description of an error code.

Parameters

  err | The error code. Can be positive or negative.
  dst | A pointer to the memory area where the NULL-terminated string corresponding to the error message will be stored
  len | The available length of the memory area, in bytes

Here is the call graph for this function:
Here is the caller graph for this function: